Subject: Re: [vtcl-user] Returning Control
From: Eric Taylor <[email-masked]>
To: [email-masked]
Date: Fri, 20 Oct 2000 17:35:28 -0700
List-Id: For users (application programers) of Visual Tcl <vtcl-user.lists.sourceforge.net>

At 12:09 PM 10/20/00 -0700, you wrote:
>I wrote a little gui that, when I push a button it starts a process, which I
>run in the background. The problem is that the gui goes blank and is
unuseable
>until I kill the process manually that the button started.  How can I set the
>command for the button so that it starts a background process and then
>immediately return control to the gui?
>
>...Mark
>_______________________________________________

Are you using the exec command?

If so, sounds like you need an & at the end of the command run
in the background. This works for me.

for example:

proc {chatu} {{pt 5000} {id xid}} {
     exec wish chat.tcl "$pt" "$id" &
}

Eric

_______________________________________________
vtcl-user mailing list
[email-masked]
http://lists.sourceforge.net/mailman/listinfo/vtcl-user